{% load humanize %}
<table class="mt-3">
    <thead>
    <tr>
        <th>Sr. No.</th>
        <th>Amount</th>
        <th>Description</th>
        <th>Date Created</th>
        <th>Action</th>
    </tr>
    </thead>
    <tbody>
    {% for loan in loans %}
    <tr>
        <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:loans.start_index }}</td>
        <td data-title="Amount">{{ loan.amount|intcomma }}</td>
        <td data-title="Description">
            {% if loan.approved is None %}
                Approval is pending...
            {% else %}
                {{ loan.description }}
            {% endif %}</td>
        <td data-title="Date Created">{{ loan.date_created }}</td>
        <td>
            <div class="form-row">
                <a href="{% url 'view_loan' %}?id={{ loan.id }}"
                   class="btn btn-primary btn-rounded waves-effect btn-sm px-3">
                    <i class="fas fa-info-circle fa-1x mr-1"></i>Details
                </a>
                <a href="{% url 'update_loan' loan.staff_id.id loan.id %}"
                   class="btn btn-danger btn-rounded waves-effect btn-sm px-3"><i
                        class="fas fa-pen fa-1x mr-1"></i>Update
                </a>
                <a href="{% url 'del_loan' loan.id %} " class="btn  btn-blue-grey btn-rounded waves-effect btn-sm px-3">
                    <i class="fas fa-trash fa-1x mr-1"></i>Delete</a>
            </div>
        </td>

    </tr>
    {% endfor %}
    </tbody>
</table>

{% if loans.has_other_pages %}
<div class="row justify-content-center mt-3">
    <a href="{% url 'loan_list' %}?id={{ staff.id }}" class="btn btn-mdb-color btn-rounded waves-effect">View All Loans</a>
</div>
{% endif %}
